"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const empty_matcher_1 = require("./empty-matcher");
const stringification_1 = require("../stringification");
class ContainerMatcher extends empty_matcher_1.EmptyMatcher {
    toContain(expectedContent) {
        if (typeof this.actualValue === "string" &&
            typeof expectedContent !== "string") {
            throw new TypeError("toContain cannot check whether a string contains a non string value.");
        }
        this._registerMatcher(this.actualValue.indexOf(expectedContent) > -1 === this.shouldMatch, `Expected ${stringification_1.stringify(this.actualValue)} ${!this.shouldMatch ? "not " : ""}` + `to contain ${stringification_1.stringify(expectedContent)}.`, expectedContent);
    }
}
exports.ContainerMatcher = ContainerMatcher;
//# sourceMappingURL=container-matcher.js.map