"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
const container_matcher_1 = require("./container-matcher");
class StringMatcher extends container_matcher_1.ContainerMatcher {
    toMatch(regex) {
        if (regex === null || regex === undefined) {
            throw new TypeError("toMatch regular expression must not be null or undefined.");
        }
        if (!regex.test(this.actualValue) === this.shouldMatch) {
            throw new errors_1.RegexMatchError(this.actualValue, regex, this.shouldMatch);
        }
    }
}
exports.StringMatcher = StringMatcher;
//# sourceMappingURL=string-matcher.js.map